package com.zcloud.service.platformCurriculum.impl;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;
import com.zcloud.mapper.dsno2.platformCurriculum.PlatformCurriculumRecordMapper;
import com.zcloud.service.platformCurriculum.PlatformCurriculumRecordService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 说明：企业添加的视频课件记录表
 * 作者：luoxiaobao
 * 时间：2022-03-09
 * 官网：www.zcloudchina.com
 */
@Service
@Transactional //开启事物
public class PlatformCurriculumRecordServiceImpl implements PlatformCurriculumRecordService {

	@Autowired
	private PlatformCurriculumRecordMapper platformCurriculumRecordMapper;

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	public void save(PageData pd)throws Exception{
		platformCurriculumRecordMapper.save(pd);
	}

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	public void delete(PageData pd)throws Exception{
		platformCurriculumRecordMapper.delete(pd);
	}

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	public void edit(PageData pd)throws Exception{
		platformCurriculumRecordMapper.edit(pd);
	}

	/**列表
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> list(Page page)throws Exception{
		return platformCurriculumRecordMapper.datalistPage(page);
	}

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listAll(PageData pd)throws Exception{
		return platformCurriculumRecordMapper.listAll(pd);
	}

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findById(PageData pd)throws Exception{
		return platformCurriculumRecordMapper.findById(pd);
	}

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	public void deleteAll(String[] ArrayDATA_IDS)throws Exception{
		platformCurriculumRecordMapper.deleteAll(ArrayDATA_IDS);
	}

}

